package registry_test

import (
	. "flow/internal/check"
	"flow/registry"
	"testing"
)

func TestNewEntryInvalid(t *testing.T) {
	exp := Expect(t)
	e := registry.NewEntry("string")
	exp.Eq(e.Err(), registry.ErrNotAFunc)
}
func TestNewEntryValid(t *testing.T) {
	exp := Expect(t)
	e := registry.NewEntry(func(a int) int { return 0 })
	exp.NotErr(e.Err())
}
